/***************************************************************
 *Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
 *文件名：  lib_printf.h
 *作  者：  AE Team
 *版  本：  V1.00
 *日  期：  2021/11/3
 *描  述：  串口打印库函数头文件
 *备  注：  适用于ES8H018x芯片
 本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
 ***************************************************************/
#ifndef __LIBPRINTF_H__
#define __LIBPRINTF_H__

#include <stdio.h>
#include "type.h"
#include "lib_uart.h"

#define  __PRINTF_USE_UART3__
int fputc(int ch, FILE *f);
static char *itoa(int value, char *string, int radix);


#ifdef __clang__
    ErrorStatus UART_printf(uint8_t *Data, ...);
    #define printf  UART_printf
#endif

#endif





/*************************END OF FILE**********************/
