/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/4
*描  述:  IIC中断演示主程序
          本程序为主机程序，负责发起写和读，从从机中读取9个字节数据，然后发给从机。
          SCL:PA31, SDA:PA30
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint8_t rxbuf[9];
uint8_t txbuf[9];

int main(void)
{
    SystemHRCSelect(SCU_HRC_16M);       //HRC选择16MHz
    SystemClockConfig();                //配置系统时钟HRC
    DeviceClockAllEnable();             /* 打开所有外设时钟 */
    SysTickInit();

    while (1)
    {
        IICReadBuf(SLAVE_ADDR, rxbuf, 9);
        memcpy(txbuf, rxbuf, 9);
        Delay1ms(2000);
        IICWriteBuf(SLAVE_ADDR, txbuf, 9);
        Delay1ms(2000);
    }
}

