/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/4
*描  述:  IIC主机演示主程序
          主机从机通信demo，本程序为主机程序，负责发起写和读。从从机中读取8字节数据，然后发给从机。
          主机从机需要连接SCL（PA31）和SDA（PA30），并上拉。
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    uint8_t wbuf[8];
    uint8_t rbuf[8];

    SystemHRCSelect(SCU_HRC_16M);       //HRC选择16MHz
    SystemClockConfig();                //配置系统时钟HRC
    DeviceClockAllEnable();             /* 打开所有外设时钟 */
    SysTickInit();

    IICMasterInit();

    while (1)
    {
        IICReadBuf(SLAVE_ADDR, rbuf, 8);
        Delay1ms(2000);
        memcpy(wbuf, rbuf, 8);
        IICWriteBuf(SLAVE_ADDR, wbuf, 8);
        Delay1ms(2000);
    }
}

