/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/4
*描  述:  IIC主从机通信程序
          本程序为从机程序，负责接收数据和发送上一次接收的数据。
          使用ESBridge做主机，发送255字节内的任意字节长度的unsigned char型数据，然后全部读取出来。
          主机从机需要连接SCL（PA31）和SDA（PA30），并上拉。
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint8_t g_buf[255];

int main(void)
{
    SystemHRCSelect(SCU_HRC_16M);       //HRC选择16MHz
    SystemClockConfig();                //配置系统时钟HRC
    DeviceClockAllEnable();             /* 打开所有外设时钟 */
    SysTickInit();

    I2C0_SlaveInit();

    while (1)
    {
    }
}

