/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/12
*描  述:  深度睡眠功耗分析示例程序
*         需使用ESBurner修改配置字，禁止Debug，功耗低至2uA左右
*         进入休眠前，LED亮一秒
*         外部端口中断唤醒，端口PA0接1
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    SystemHRCSelect(SCU_HRC_16M);       //HRC选择16MHz
    SystemClockConfig();                //配置系统时钟HRC
    DeviceClockAllEnable();             //使能所有外设时钟
    SysTickInit();                      //系统滴答初始化

    LightInit();
    LightOff();

    PINTx_Init();

    while (1)
    {
        LightOn();
        Delay1ms(1000);
        LightOff();
        /* 系统进入深睡 */
        deep_sleep();
    }
}
