/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  wdt.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/12
*描  述:  WDT函数文件
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "wdt.h"
#include "string.h"
/***************************************************************
 描  述：WDT初始化初始化
 输入值：无
 返回值：无
***************************************************************/
void WDTInit(void)
{
    IWDT_InitStruType x;
    memset(&x, 0, sizeof(x));

    IWDT_RegUnLock();
    x.WDT_Tms = 12000;
    x.WDT_IE = ENABLE;              /* IWDT中断使能 */
    x.WDT_Rst = ENABLE;             /* IWDT复位使能 */
    x.WDT_Clock = WDT_CLOCK_WDT;    /* LRC */
    IWDT_Init(&x);
    IWDT_RegLock();

    /* 使能WWDT */
    NVIC_Init(NVIC_IWDT_IRQn, NVIC_Priority_1, ENABLE);
}
