/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/10
*描  述:  SPI EEPROM Demo
          引脚连接:
          ------------------------
          SPI EEPROM:
          ------------------------
          NSS - PA27,
          SCK - PA26,
          MISO - PA25,
          MOSI - PA24
          ------------------------
          UART:
          ------------------------
          TXD - PA8
          RXD - PA7
          ------------------------
          本例程使用的外部Flash型号为93AA46A，可直接连接通用开发板HRSDK-GMB-01
          使用ES-Bridge的UART接收打印数据。
          使用printf需以下步骤：
                    1、keil勾选Use MicroLIB ，2、main.c #include "stdio.h"，3、keil #define __PRINTF_USE_UART3__
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    uint8_t w_buffer[1] = {12};
    uint8_t r_buffer[1] = {0};

    SystemHRCSelect(SCU_HRC_16M);   //HRC选择16MHz
    SystemClockConfig();            //配置时钟
    DeviceClockAllEnable();         //打开所有外设时钟
    SysTickInit();

    E2rom_init();

    E2romEraseAll();
    E2romWriteData(0x00, w_buffer[0]);
    printf("E2PROM writeten finished, content: %d\r\n", w_buffer[0]);

    E2romReadData(0x00, r_buffer);
    printf("Content readout from E2PROM: %d\r\n\r\n", r_buffer[0]);

    while (1)
    {
    }
}
