/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  spi.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/10
*描  述:  SPI主机模块头文件
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#ifndef __SPI_H__
#define __SPI_H__

#include "ES8H018x.h"
#include "lib_config.h"
#include "systick.h"

#define CS_SET GPIOA_SetBit(GPIO_Pin_27)
#define CS_RESET GPIOA_ResetBit(GPIO_Pin_27)
#define SPI_NSS     GPIO_Pin_27
#define SPI_SCK     GPIO_Pin_26
#define SPI_MISO    GPIO_Pin_25
#define SPI_MOSI    GPIO_Pin_24

extern uint8_t g_wbuf[260];
extern uint8_t g_rbuf[260];
extern volatile uint8_t rbufIndex;
extern volatile uint8_t wbufIndex;
extern volatile uint8_t g_rbufamount;
extern volatile uint8_t g_wbufamount;

/* 函数声明 */
void SPI_GPIO_Init(void);

#endif
