/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  spi.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/4
*描  述:  SPI主机模块头文件
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#ifndef __SPI_H__
#define __SPI_H__

#include <string.h>
#include "ES8H018x.h"
#include "lib_config.h"

#define CS_SET GPIOA_SetBit(GPIO_Pin_27)
#define CS_RESET GPIOA_ResetBit(GPIO_Pin_27)
#define SCK_PIN GPIO_Pin_26
#define CS_PIN  GPIO_Pin_27
#define SDI_PIN GPIO_Pin_25
#define SDO_PIN GPIO_Pin_24

extern volatile uint8_t rbufIndex;
extern volatile uint8_t wbufIndex;

/* 函数声明 */
void SPI_GPIO_Init(void);
void SPIReadData(uint8_t *rbuf, uint8_t n);
void SPIWriteData(uint8_t *wbuf, uint8_t n);

#endif
