/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/10
*描  述:  定时器CAP演示主程序
          T16Nx对应引脚输入方波信号（信号发生器，100~200Hz时现象比较明显，定时器也不会溢出），
                    T16Nx根据捕获状态和捕获次数发生一次中断，LD1指示灯翻转，
                    count00/count01/count10/count11/count20/count21/count30/count31记录捕获时的各个MATx值。
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    SystemHRCSelect(SCU_HRC_16M);       //HRC选择16MHz
    SystemClockConfig();                //配置时钟
    DeviceClockAllEnable();             //打开所有外设时钟

    LightInit();
    T16N0CAPInit();                     //PB4,PB5输入捕获，T16N0
    T16N1CAPInit();                     //PB6,PB7输入捕获，T16N1
    T16N2CAPInit();                     //PA28,PA29输入捕获，T16N2
    T16N3CAPInit();                     //PB2,PB3输入捕获，T16N3

    GPIOA_SetBit(GPIO_Pin_12);          //使用LD1指示捕获状态
    GPIOA_SetBit(GPIO_Pin_11);
    GPIOB_SetBit(GPIO_Pin_15);
    GPIOB_SetBit(GPIO_Pin_14);

    while (1);
}
