/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  wdt.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/5
*描  述:  WDT函数文件
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "wdt.h"
#include "string.h"

/***************************************************************
 描  述：WDT初始化初始化
 输入值：无
 返回值：无
***************************************************************/
void WdtInit(void)
{
    IWDT_InitStruType x;
    IWDT_RegUnLock();
    memset(&x, 0, sizeof(x));

    x.WDT_Tms = 2000;           //喂狗周期2s
    x.WDT_IE = ENABLE;          //DISABLE;ENABLE
    x.WDT_Rst = ENABLE;
    x.WDT_Clock = WDT_CLOCK_WDT;  //WDT_CLOCK_WDT;

    /* 注意：当IWDT是通过配置字使能时，IWDT_Init对IWDT_CON寄存器配置无效，
             此时用户需要通过函数IWDT_SetReloadValue自行配置IWDT_LOAD装载寄存器的值，
             配置IWDT_LOAD前需要对IWDT解锁，配置完成后要对IWDT上锁。*/
    IWDT_Init(&x);
    IWDT_Enable();
    IWDT_RegLock();


}
