/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/15
*描  述:  XTAL例程
          选择系统使用外部8M晶振XTAL时钟
          注：此处测试需要焊接8M晶振，不要使用母板（母板连接线路会对晶振产生影响），只需要使用子板即可
              配置字XTAL需配置为HS
*备  注:  适用于ES8H018x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    SystemClockSelect(CLK_SEL_XTAL);       //选择XTAL
    SystemCoreClock = 8000000;                              //其他规格晶振在此处修改即可
    DeviceClockAllEnable();

    SysTickInit();
    LightInit();

    GPIOA_ResetBit(GPIO_Pin_1);

    while (1)
    {
        GPIOA_ResetBit(GPIO_Pin_12);
        Delay1ms(500);
        GPIOA_SetBit(GPIO_Pin_12);
        Delay1ms(500);
    }
}
