/***************************************************************
 *Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
 *文件名： lib_iap.h
 *作  者:  AE Team
 *版  本:  V1.00
 *日  期:  2021/11/3
 *描  述：
 *备  注： 适用于ES8H018x芯片
 本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
 ***************************************************************/
#ifndef __LIB_IAP_H
#define __LIB_IAP_H

#include "ES8H018x.h"
#include "type.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uint32_t (*iap_pageerase_t)(uint32_t address, uint32_t addressInv, uint32_t sector);
#define  IAP_PageErase  ((iap_pageerase_t)(*((uint32_t *)0x10000004)))

typedef uint32_t (*iap_wordprogrm_t)(uint32_t address, uint32_t addressInv, uint32_t data);
#define  IAP_WordProgram  ((iap_wordprogrm_t)(*((uint32_t *)0x10000008)))

typedef uint32_t (*iap_wordsprogrm_t)(uint32_t address, uint32_t addressInv, uint8_t data[], uint32_t length, uint32_t erase);
#define  IAP_WordsProgram  ((iap_wordsprogrm_t)(*((uint32_t *)0x10000000)))

void IAP_FLASH_Unlock(void);
void IAP_INFO_Unlock(void);
void IAP_FLASH_Lock(void);
void IAP_INFO_Lock(void);

uint32_t get_cusum32(uint32_t *data_ptr, uint32_t len);
uint8_t check_empty(uint32_t *data_ptr, uint32_t len);

#define PageEraseEnable             0x00000001
#define PageEraseDisable            0x00000000

#define  REMAP_DIS        SCU->TBLREMAPEN.EN = 1; SCU->TBLOFF.Word = 0;
#define  REMAP_EN         SCU->TBLREMAPEN.EN = 1; SCU->TBLOFF.Word = 0x1E000;

#ifdef __cplusplus
}
#endif

#endif
/*************************END OF FILE**********************/
